import clr
clr.AddReference('Soti.Connect.SemanticEngine.Conversions')

from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading HoneywellIndustrialMediaSensorToGeneral Converter")

class HoneywellIndustrialMediaSensorToGeneral(Converter):
    def Execute(self, args):
        res = ""
        if args[0] == "Black Mark":
            res = "Mark"
        elif args[0] == "Media With Gaps":
            res = "Gap"
        elif args[0] == "Continuous Fix Len" or "Continuous Var Len":
            res = "None"
        return res




plugin = HoneywellIndustrialMediaSensorToGeneral("HoneywellIndustrialMediaSensorToGeneral")

store.AddConverter(plugin)